# $Revision: 1.63 $, $Date: 2011/11/27 09:07:26 $
%include	/usr/lib/rpm/macros.mono
Summary:	.NET language bindings for GTK+
Summary(pl.UTF-8):	Wiązania GTK+ dla .NET
Name:		dotnet-gtk-sharp2
Version:	2.12.11
Release:	1
License:	LGPL v2
Group:		Libraries
# latest downloads summary at http://download.mono-project.com/sources-stable/
Source0:	http://download.mono-project.com/sources/gtk-sharp212/gtk-sharp-%{version}.tar.bz2
# Source0-md5:	c278da6a472c6c13b698af012f543c64
# alternative source
#Source0:	http://ftp.gnome.org/pub/GNOME/sources/gtk-sharp/2.12/gtk-sharp-%{version}.tar.bz2
Patch0:		%{name}-destdir.patch
Patch1:		%{name}-mint.patch
URL:		http://www.mono-project.com/GtkSharp
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gtk+2-devel >= 2:2.12.0
BuildRequires:	libglade2-devel >= 1:2.6.2
BuildRequires:	libtool
BuildRequires:	mono-csharp >= 1.1.16.1
BuildRequires:	monodoc >= 1.1.16
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(monoautodeps)
Requires:	gtk+2 >= 2:2.12.0
Requires:	libglade2 >= 1:2.6.2
Requires:	mono >= 1.1.16.1
Obsoletes:	gtk-sharp2
ExclusiveArch:	%{ix86} %{x8664} arm hppa ia64 ppc s390 s390x sparc sparcv9 sparc64
ExcludeArch:	i386
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides bindings for .NET to GTK+ libraries.

%description -l pl.UTF-8
Pakiet ten dostarcza wiązania dla .NET do bibliotek z GTK+.

%package devel
Summary:	Development part of GTK#
Summary(pl.UTF-8):	Część dla programistów GTK#
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	monodoc >= 2.6
Requires:	which
Obsoletes:	gtk-sharp2-devel

%description devel
Tools (C source parser and C# code generator) and documentation for
developing applications using GTK#.

%description devel -l pl.UTF-8
Narzędzia (parser kodu C oraz generator kodu C#) i dokumentacja
potrzebne przy tworzeniu aplikacji korzystających z GTK#.

%package static
Summary:	Static gtk-sharp libraries
Summary(pl.UTF-8):	Biblioteki statyczne gtk-sharp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gtk-sharp libraries.

%description static -l pl.UTF-8
Biblioteki statyczne gtk-sharp.

%prep
%setup -q -n gtk-sharp-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make} -j1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a sample/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libatksharpglue-2.so
%attr(755,root,root) %{_libdir}/libgdksharpglue-2.so
%attr(755,root,root) %{_libdir}/libgladesharpglue-2.so
%attr(755,root,root) %{_libdir}/libglibsharpglue-2.so
%attr(755,root,root) %{_libdir}/libgtksharpglue-2.so
%attr(755,root,root) %{_libdir}/libpangosharpglue-2.so
# needed for DllImport on basename
%{_libdir}/libatksharpglue-2.la
%{_libdir}/libgdksharpglue-2.la
%{_libdir}/libgladesharpglue-2.la
%{_libdir}/libglibsharpglue-2.la
%{_libdir}/libgtksharpglue-2.la
%{_libdir}/libpangosharpglue-2.la
%dir %{_prefix}/lib/gtk-sharp-2.0
%attr(755,root,root) %{_prefix}/lib/gtk-sharp-2.0/gapi*
%{_prefix}/lib/mono/gac/atk-sharp
%{_prefix}/lib/mono/gac/gdk-sharp
%{_prefix}/lib/mono/gac/glade-sharp
%{_prefix}/lib/mono/gac/glib-sharp
%{_prefix}/lib/mono/gac/gtk-dotnet
%{_prefix}/lib/mono/gac/gtk-sharp
%{_prefix}/lib/mono/gac/pango-sharp

%{_prefix}/lib/mono/gac/policy.2.4.atk-sharp
%{_prefix}/lib/mono/gac/policy.2.4.gdk-sharp
%{_prefix}/lib/mono/gac/policy.2.4.glade-sharp
%{_prefix}/lib/mono/gac/policy.2.4.glib-sharp
%{_prefix}/lib/mono/gac/policy.2.4.gtk-dotnet
%{_prefix}/lib/mono/gac/policy.2.4.gtk-sharp
%{_prefix}/lib/mono/gac/policy.2.4.pango-sharp

%{_prefix}/lib/mono/gac/policy.2.6.atk-sharp
%{_prefix}/lib/mono/gac/policy.2.6.gdk-sharp
%{_prefix}/lib/mono/gac/policy.2.6.glade-sharp
%{_prefix}/lib/mono/gac/policy.2.6.glib-sharp
%{_prefix}/lib/mono/gac/policy.2.6.gtk-dotnet
%{_prefix}/lib/mono/gac/policy.2.6.gtk-sharp
%{_prefix}/lib/mono/gac/policy.2.6.pango-sharp

%{_prefix}/lib/mono/gac/policy.2.8.atk-sharp
%{_prefix}/lib/mono/gac/policy.2.8.gdk-sharp
%{_prefix}/lib/mono/gac/policy.2.8.glade-sharp
%{_prefix}/lib/mono/gac/policy.2.8.glib-sharp
%{_prefix}/lib/mono/gac/policy.2.8.gtk-dotnet
%{_prefix}/lib/mono/gac/policy.2.8.gtk-sharp
%{_prefix}/lib/mono/gac/policy.2.8.pango-sharp

%{_prefix}/lib/mono/gac/policy.2.10.atk-sharp
%{_prefix}/lib/mono/gac/policy.2.10.gdk-sharp
%{_prefix}/lib/mono/gac/policy.2.10.glade-sharp
%{_prefix}/lib/mono/gac/policy.2.10.glib-sharp
%{_prefix}/lib/mono/gac/policy.2.10.gtk-dotnet
%{_prefix}/lib/mono/gac/policy.2.10.gtk-sharp
%{_prefix}/lib/mono/gac/policy.2.10.pango-sharp

%files devel
%defattr(644,root,root,755)
%doc README.generator ChangeLog
%attr(755,root,root) %{_bindir}/gapi*
%dir %{_prefix}/lib/mono/gtk-sharp-2.0
%{_prefix}/lib/mono/gtk-sharp-2.0/atk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gdk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/glade-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/glib-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gtk-dotnet.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/gtk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/pango-sharp.dll

%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.4.atk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.4.gdk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.4.glade-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.4.glib-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.4.gtk-dotnet.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.4.gtk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.4.pango-sharp.dll

%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.6.atk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.6.gdk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.6.glade-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.6.glib-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.6.gtk-dotnet.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.6.gtk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.6.pango-sharp.dll

%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.8.atk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.8.gdk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.8.glade-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.8.glib-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.8.gtk-dotnet.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.8.gtk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.8.pango-sharp.dll

%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.10.atk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.10.gdk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.10.glade-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.10.glib-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.10.gtk-dotnet.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.10.gtk-sharp.dll
%{_prefix}/lib/mono/gtk-sharp-2.0/policy.2.10.pango-sharp.dll

%{_prefix}/lib/monodoc/sources/gtk-sharp-docs.*
%dir %{_datadir}/gapi-2.0
%{_datadir}/gapi-2.0/atk-api.xml
%{_datadir}/gapi-2.0/gdk-api.xml
%{_datadir}/gapi-2.0/glade-api.xml
%{_datadir}/gapi-2.0/glib-api.xml
%{_datadir}/gapi-2.0/gtk-api.xml
%{_datadir}/gapi-2.0/pango-api.xml
%{_pkgconfigdir}/gapi-2.0.pc
%{_pkgconfigdir}/glade-sharp-2.0.pc
%{_pkgconfigdir}/glib-sharp-2.0.pc
%{_pkgconfigdir}/gtk-dotnet-2.0.pc
%{_pkgconfigdir}/gtk-sharp-2.0.pc
%{_examplesdir}/%{name}-%{version}

%files static
%defattr(644,root,root,755)
%{_libdir}/libatksharpglue-2.a
%{_libdir}/libgdksharpglue-2.a
%{_libdir}/libgladesharpglue-2.a
%{_libdir}/libglibsharpglue-2.a
%{_libdir}/libgtksharpglue-2.a
%{_libdir}/libpangosharpglue-2.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dotnet-gtk-sharp2.spec,v $
Revision 1.63  2011/11/27 09:07:26  qboosh
- new URLs; updated to 2.12.11
- updated destdir patch, removed obsolete ac patch

Revision 1.62  2011/04/06 07:38:23  wiget
- rel. 3

Revision 1.61  2010/10/22 15:44:22  megabajt
- release 2

Revision 1.60  2010/08/15 09:08:44  qboosh
- added ac patch to fix sh syntax in configure

Revision 1.59  2010/03/16 18:39:47  megabajt
- updated to 2.12.10

Revision 1.58  2010/03/12 11:06:17  megabajt
- use %{_prefix}/lib for monodoc
- release 3

Revision 1.57  2010/02/20 18:26:32  arekm
- release 2

Revision 1.56  2009/05/28 17:47:52  megabajt
- updated to 2.12.9

Revision 1.55  2009/02/07 20:46:06  megabajt
- updated to 2.12.8

Revision 1.54  2008/12/15 19:05:35  megabajt
- updated to 2.12.7

Revision 1.53  2008/11/16 15:52:48  megabajt
- updated to 2.12.6

Revision 1.52  2008/10/23 12:03:02  megabajt
- updated to 2.12.5

Revision 1.51  2008/09/25 15:47:15  megabajt
- updated to 2.12.4

Revision 1.50  2008/08/21 19:00:08  qboosh
- document .la inclusion

Revision 1.49  2008/08/21 16:14:39  megabajt
- updated to 2.12.2

Revision 1.48  2008/06/19 17:55:19  qboosh
- dropped download URL note (out of date)

Revision 1.47  2008/06/17 17:24:25  qboosh
- reverted bogus readline BR (invalid pcre dependency)

Revision 1.46  2008/06/17 09:48:31  spider
- added missing br: readline-devel
- adaptarized

Revision 1.45  2008/05/29 20:12:29  deejay1
- up to 2.12.1
- changed Source0 to an up to date server

Revision 1.44  2008-04-25 18:21:36  hawk
- updated Source0 URL

Revision 1.43  2008-04-25 18:14:58  hawk
- updated to 2.12.0

Revision 1.42  2008-03-14 20:20:41  wolf
- 2.10.4

Revision 1.41  2007-12-16 17:58:21  wolf
- package policy devel files

Revision 1.40  2007-12-15 21:32:45  qboosh
- noted download URL

Revision 1.39  2007-09-01 14:48:56  wolf
- 2.10.2

Revision 1.38  2007/06/19 13:19:22  megabajt
- updated to 2.10.1

Revision 1.37  2007/02/12 21:23:53  glen
- tabs in preamble

Revision 1.36  2007/02/12 00:48:46  baggins
- converted to UTF-8

Revision 1.35  2006/08/21 17:49:12  freetz
- 2.10.0

Revision 1.34  2006/08/19 14:26:12  qboosh
- base (Group) is not Development

Revision 1.33  2006/08/11 16:56:34  freetz
- cleaned up

Revision 1.32  2006/08/11 16:54:56  freetz
- 2.9.0, use ftp.gnome.org, removed GNOME bindings (available as separate
  tarball), updated file list

Revision 1.31  2006/08/02 05:33:36  freetz
- rel.2

Revision 1.30  2006/07/26 16:03:33  glen
- unify sourceforge url

Revision 1.29  2006/07/07 18:12:35  wolf
- 2.8.3

Revision 1.28  2006/06/21 19:15:33  freetz
- rel.5

Revision 1.27  2006/06/06 16:35:38  charles
- -devel R: which (see /usr/bin/gapi2-fixup)

Revision 1.26  2006/03/20 21:46:33  freetz
- rel.4 for rebuild (kill libhowl.la/libglitz.la)

Revision 1.25  2006/03/20 17:08:52  wolf
- rel 3 to rebuild with fixed rpm

Revision 1.24  2006/03/19 22:52:35  freetz
- rel.2

Revision 1.23  2006/03/04 16:58:43  qboosh
- added nognome patch to fix build without gnome
- removed obsolete PKG_PATH workaround

Revision 1.22  2006/03/04 00:18:50  wolf
- 2.8,2

Revision 1.21  2006/02/13 16:15:56  freetz
- 2.8.1

Revision 1.20  2006/01/28 22:09:16  saq
- a modern mono is required as well

Revision 1.19  2006/01/28 08:32:51  freetz
- bumped vte version in BR

Revision 1.18  2006/01/27 17:30:07  wolf
- 2.8.0

Revision 1.17  2005/12/16 22:24:55  wolf
- 2.7.90

Revision 1.16  2005/12/03 14:16:24  qboosh
- monodoc files currently stored in arch-dependent libdir
- release 4

Revision 1.15  2005/12/03 13:44:13  qboosh
- unified (assume the same _prefix for mono and dotnet*)

Revision 1.14  2005/11/30 14:19:05  freetz
- rel.3

Revision 1.13  2005/11/29 20:07:25  freetz
- exclude i386 from build

Revision 1.12  2005/11/29 18:57:16  freetz
- stop gtkhtml insanity, rel. 2

Revision 1.11  2005/11/11 20:38:38  wolf
- 2.6.0

Revision 1.10  2005/10/18 17:40:28  wolf
- 2.5.92

Revision 1.9  2005/10/04 21:08:40  freetz
- rel.3 for rebuild with gtkhtml 3.8.1

Revision 1.8  2005/09/15 14:54:36  wolf
- fix amd64
- rel 2

Revision 1.7  2005/09/15 13:44:50  charles
- BR: monodoc, -devel R: monodoc

Revision 1.6  2005/09/15 13:18:32  glen
- amd64 fix?

Revision 1.5  2005/09/09 19:32:47  wolf
- 2.5.91
- include monodoc documentation

Revision 1.4  2005/09/08 08:43:48  paladine
- use gtkhtml >= 3.8.0
- rel. 2

Revision 1.3  2005/09/07 13:27:28  wrobell
- ver. 2.5.90

Revision 1.2  2005/08/19 22:15:51  aflinta
- it's time for something less buggy - up to version 2.3.90

Revision 1.1  2005/08/15 16:31:07  wolf
- moved from dotnet-gtk-sharp DEVEL branch

Revision 1.67.2.9  2005/07/05 04:58:23  charles
- fix %%files

Revision 1.67.2.8  2005/06/28 23:47:27  charles
- removed BR gawk (unnecessary, it's enough mawk)

Revision 1.67.2.7  2005/06/26 17:30:21  aflinta
- added missing BR

Revision 1.67.2.6  2005/05/24 18:54:55  malekith
- use /usr/lib for mono libdir; fixes amd64 build

Revision 1.67.2.5  2005/05/19 16:27:24  pawcioos
- updated to 1.9.5

Revision 1.67.2.4  2005/05/14 22:42:57  freetz
- 1.9.3.1, updated source url, alpha already suported

Revision 1.67.2.3  2005/05/14 20:41:54  pawcioos
- delete TODO (done)

Revision 1.67.2.2  2005/05/14 20:37:47  pawcioos
- split packages (gtk, gnome, gda, gnomedb)

Revision 1.67.2.1  2005/04/20 20:06:38  freetz
- started upgrade to 1.9.3, updated libdir-pc,destdir patches, gtkhtml
  stuff looks obsoleted, updated BRs/Rs, updated %%files
